import React from 'react';
import { Row, Col } from 'antd';
import router from 'umi/router';
import itemsImg from '@/assets/items.png';
import consultantImg from '@/assets/consultantKPI.png';
import projectImg from '@/assets/project.png';
import reportImg from '@/assets/report.png';
import customerImg from '@/assets/customer.png';
import statisticsImg from '@/assets/statistics.png';

export default () => {
    const list = [
        {
            title: '项目列表',
            img: itemsImg,
            path: '/building/list',
            value: '1',
        },
        {
            title: '客户列表',
            img: customerImg,
            path: '/customer/customerlist/list',
            value: '2',
        },
        {
            title: '数据报表',
            img: reportImg,
            path: '/statistical/monitor',
            value: '3',
        },

        {
            title: '项目统计',
            img: projectImg,
            path: '/statistical/building',
            value: '4',
        },
        {
            title: '活动统计',
            img: statisticsImg,
            path: '/statistical/activity',
            value: '5',
        },
        {
            title: '置业顾问KPI',
            img: consultantImg,
            path: '/statistical/consultant',
            value: '6',
        },

    ]
    const goNow = path => {
        router.push({
            pathname: path,
        });
    }

    return (
        <>
            <div style={{
                width: 'calc(100% + 48px)',
                height: '0',
                paddingBottom: 'calc(29.64% + 14.23px)',
                position: 'relative',
                top: '-24px',
                left: '-24px',
                backgroundImage: 'url(https://njcj.oss-cn-shanghai.aliyuncs.com/images/picture.png)',
                backgroundRepeat: 'no-repeat',
                backgroundSize: '100% 100%',
            }} >
            </div>
            <div style={{
                backgroundColor: '#fff',
                margin: '-24px -24px 0.24rem -24px',
                paddingBottom: '0.2rem',

            }} >
                <h2 style={{
                    fontSize: '0.11rem',
                    padding: '0.2rem 0 16px 24px',
                }}>快捷入口</h2>
                <Row style={{ textAlign: 'center' }}>
                    {list.map(item => (
                        <Col span={4} key={item.value} onClick={() => goNow(item.path)}>
                            <div style={{
                                width: '1.2rem',
                                height: '0px',
                                margin: '0 auto',
                                paddingBottom: '0.66rem',
                                position: 'relative',
                                backgroundImage: 'url(https://njcj.oss-cn-shanghai.aliyuncs.com/images/border.png)',
                                backgroundRepeat: 'no-repeat',
                                backgroundSize: '100% 100%',
                                paddingTop: '0.12rem',
                            }}>
                                <p style={{ color: '#FF7F49', fontSize: '0.11rem', letterSpacing: '0.026rem', fontWeight: '600' }}>{item.title}</p>
                                <img style={{ position: 'absolute', left: '0.08rem', bottom: '0.1rem', width: '0.3rem' }} src={item.img} alt="" />
                            </div>
                        </Col>
                    ))}

                </Row>
            </div>
        </>
    )
}
