import React, { useState } from 'react';
import router from 'umi/router';
import { Modal, Space } from 'antd';
import book from '@/assets/trial/operation manual.png';
import contact from '@/assets/trial/contact us.png';
import Styles from './style.less';

const Btn = props => (
  <div className={Styles['sticky-btn']} onClick={props.onClick}>
    <div><img src={props.icon} alt=""/> </div>
    {props.children}
  </div>
)

export default props => {
  const [visible, setVisible] = useState(false);
  
  const goto = path => {
    if (path.indexOf('http') === 0) {
      window.location.href = path
    } else {
      router.push(path)
    }
  }

  return (
    <div className={Styles['sticky-box']}>
      <Btn icon={book} onClick={() => goto('https://easydoc.xyz/s/24703398/3SqDkJDw/4q8zspHR')}>操作手册</Btn>
      <Btn icon={contact} onClick={() => setVisible(true)}>联系我们</Btn>
      <Modal
        title="联系我们"
        width="600"
        visible={visible}
        onCancel={() => setVisible(false)}
      >
      </Modal>
    </div>
  )
}
