import React, { useEffect, useState } from 'react';
import Link from 'umi/link';
import { Button } from 'antd';
import countDown from '@/assets/trial/count down.png';
import Styles from './style.less';

const BlockText = props => (
  <span className={Styles['block-text']}>
    {props.text}
  </span>
)

export default props => {
  const expDate = new Date('2020-06-23');
  const [times, setTimes] = useState([0, 0, 0, 0]);

  useEffect(() => {
    const ticker = setInterval(() => {
      const now = new Date();
      let diff = expDate.getTime() - now.getTime()

      if (diff <= 0) {
        setTimes([0, 0, 0, 0]);
        clearInterval(ticker);
      }

      const days = Math.floor(diff / (24 * 60 * 60 * 1000));
      diff %= (24 * 60 * 60 * 1000);
      const hours = Math.floor(diff / (60 * 60 * 1000));
      diff %= (60 * 60 * 1000);
      const minutes = Math.floor(diff / (60 * 1000));
      diff %= (60 * 1000);
      const seconds = Math.round(diff / 1000);

      setTimes([days, hours, minutes, seconds]);
    }, 1000);

    return () => clearInterval(ticker);
  }, [])

  return (
    <div className={Styles['time-ticker']}>
      <div className={Styles['time-ticker-header']}> <img src={countDown} alt=""/> </div>
      <div className={Styles['time-ticker-body']}>
        <div>
          剩余
          <BlockText text={times[0]}/>天
          <BlockText text={times[1]}/>时
          <BlockText text={times[2]}/>分
          <BlockText text={times[3]}/>秒
        </div>
        <div className={Styles['time-ticker-body-desc']}>
          请再结束前 <Link to="/system/miniappSetMeal/index"><span style={{ color: '#1D74D9' }}>购买套餐</span></Link> , 到期后无法登录
        </div>
      </div>
    </div>
  )
}
