import React from 'react';
import { Carousel } from 'antd';
import classNames from 'classnames';
import Styles from './style.less';

export default function(props) {
  const cls = classNames(Styles['scroll-banner-item']);
  const list = props.list || []
  const handleClick = item => {
    if (props.onClick) {
      props.onClick(item);
    }
  }

  return (
    <Carousel autoplay>
      {
        list.map((item, inx) => {
          const key = `scroll-banner-${inx}`;

          return (
            <div key={key} className={cls} onClick={() => handleClick(item)}>
              {
                props.renderItem ? props.renderItem(item) : <img src={item.src} alt=""/>
              }
            </div>
          );
        })
      }
    </Carousel>
  )
}
