import React, { useState } from 'react';
import { Steps, Button } from 'antd';
import Link from 'umi/Link';
import qrImage from '@/assets/xiaochengxu.png';
import Styles from './style.less';

const btnColor = { color: '#1D74D9' };

const TrailMiniApp = () => (
  <div className={Styles['step-box']}>
    <p><img src={qrImage} alt="" /></p>
    <p><strong>使用微信扫码，体验橙蕉小程序</strong></p>
    <p><span className={Styles.tip}>已扫码或不想扫码？可跳转下一步</span></p>
  </div>
)

const AuthMiniApp = () => (
  <div className={Styles['step-box']}>
    <p><Link to=""><strong>授权小程序</strong></Link></p>
    <p><span className={Styles.tip}>之前体验的小程序是橙蕉公司自己的小程序 <br /> 想拥有贵公司自己的橙蕉小程序？点击进入！</span></p>
    <p><span className={Styles.tip}>已扫码或不想扫码？可跳转下一步</span></p>
  </div>
)

const AboutPackage = () => (
  <div className={Styles['step-box']}>
    <p><Button>了解套餐</Button></p>
  </div>
)

export default function(props) {
  const [current, setCurrent] = useState(0);

  return (
    <div className={Styles['trail-process']}>
      <Steps labelPlacement="vertical" current={current} onChange={x => setCurrent(x)}>
        <Steps.Step title="体验小程序"></Steps.Step>
        <Steps.Step title="授权小程序"></Steps.Step>
        <Steps.Step title="了解套餐"></Steps.Step>
      </Steps>
      <div style={{ marginTop: '30px' }}>
        { current === 0 && <TrailMiniApp /> }
        { current === 1 && <AuthMiniApp /> }
        { current === 2 && <AboutPackage /> }

        <div style={{ textAlign: 'center' }}>
          {
            current > 0 && <Button type="link" onClick={() => setCurrent(current - 1)} style={btnColor}>上一步</Button>
          }
          {
            current < 2 && <Button type="link" onClick={() => setCurrent(current + 1)} style={btnColor}>下一步</Button>
          }
        </div>
      </div>
    </div>
  );
}
