import React, { useState, useEffect } from 'react';
import { Form, Icon, Input, Button, Table, Radio } from 'antd';
import Styles from './style.less';
import Wangedit from '../../../components/Wangedit/Wangedit'

function Award(props) {
    const { getFieldDecorator } = props.form;


    const formItemLayout = {
        labelCol: {
            xs: { span: 24 },
            sm: { span: 4 },
        },
        wrapperCol: {
            xs: { span: 24 },
            sm: { span: 20 },
        },
    };


    function handleSubmit(e) {
        e.preventDefault();
        props.form.validateFieldsAndScroll((err, values) => {
            if (!err) {
                props.onNext()
            }
        });
    }


    return (
        <>
            <Form style={{minWidth:'700px'}} {...formItemLayout} onSubmit={handleSubmit}>

                <p className={Styles.title} style={{ marginTop: '20px' }}>页面装修</p>

                <Form.Item label="图片" help='建议尺寸1125*1809像素，支持JPG、PNG、JPEG格式'>
                    <img style={{ width: '120px', height: '120px', marginRight: '10px' }} src="https://ss1.bdstatic.com/70cFuXSh_Q1YnxGkpoWK1HF6hhy/it/u=2907552255,1679967258&fm=26&gp=0.jpg" alt="" />
                    <span className={Styles.blue}>修改</span>
                </Form.Item>

                <Form.Item label="中奖名单" >
                    {getFieldDecorator('show', {
                        initialValue: 1,
                    })(
                        <Radio.Group>
                            <Radio value={1}>展示</Radio>
                            <Radio value={2}>不展示</Radio>
                        </Radio.Group>,
                    )}
                </Form.Item>
                <Form.Item label="活动说明">
                    {getFieldDecorator('desc')(<Wangedit />)}
                </Form.Item>

                <Form.Item style={{ width: '500px', margin: 'auto', display: 'flex', justifyContent: 'space-between' }}>
                    <Button onClick={() => props.onPre()} style={{ margin: '0 20px' }}>
                        上一步
                    </Button>
                    <Button type="primary" htmlType="submit">
                        下一步
                    </Button>
                </Form.Item>
            </Form>
        </>
    )
}

const WrappedAwardForm = Form.create({ name: 'Award' })(Award);

export default WrappedAwardForm
