import React, { useState, useEffect } from 'react';
import { Row, Col } from 'antd';
import router from 'umi/router';
import Styles from './style.less';
import bargain from '../../assets/market/bargain.png'
import card from '../../assets/market/card.png'
import collage from '../../assets/market/collage.png'
import draw from '../../assets/market/draw.png'
import guess from '../../assets/market/guess.png'
import lottery from '../../assets/market/lottery.png'
import seckill from '../../assets/market/seckill.png'
import shake from '../../assets/market/shake.png'
import test from '../../assets/market/test.png'


const Market = props => {

    const list = [
        {
            img: draw,
            title: '幸运大抽奖',
            desc: '常见的转盘式抽奖方法',
            url: '/marketingTools/lottery/index'
        },
        {
            img: seckill,
            title: '秒杀',
            desc: '快速抢购引导顾客更多消费'
        },
        {
            img: card,
            title: '刮刮卡',
            desc: '通过刮开卡片的方式进行抽奖的玩法'
        },
        {
            img: test,
            title: '趣味测试',
            desc: '趣味小测试，互动吸粉'
        },
        {
            img: shake,
            title: '摇一摇',
            desc: '让客户摇一摇进行抽奖'
        },
        {
            img: lottery,
            title: '0元抽奖',
            desc: '拼团成功即可获得抽奖机会'
        },
        {
            img: guess,
            title: '疯狂猜猜猜',
            desc: '回答问题，按答题情况给奖励'
        },
        {
            img: collage,
            title: '多人拼团',
            desc: '引导用户邀请好友参加'
        },
        {
            img: bargain,
            title: '砍价0元购',
            desc: '邀请好友砍价后购买'
        },
    ]

    const handleItem = (url) => {

        router.push({
            pathname: url,
        });
    }

    return <>
        <p>营销工具：抓取客户，社交裂变</p>

            <Row style={{width:'100%'}}>
                {
                    list.map((item, index) => (
                        <Col span={8}>
                            <div key={index} className={Styles.itemBox} onClick={() => handleItem(item.url)}>
                                <img className={Styles.img} src={item.img} ></img>
                                <div>
                                    <p style={{ fontSize: '18px' }}>{item.title}</p>
                                    <p style={{ fontSize: '15px', color: '#999', marginBottom: '0px' }}>{item.desc}</p>
                                </div>
                            </div>
                        </Col>
                    ))
                }
            </Row>
    </>
}

export default Market
