import React, { useState, useEffect } from 'react';
import { Form, Icon, Input, Button, Table, DatePicker, InputNumber, Radio } from 'antd';
import Styles from './style.less';
import Step1 from '../components/step1'
import Step2 from '../components/step2'
import Step3 from '../components/step3'
import Step4 from '../components/step4'

function AddActivity(props) {
    const { getFieldDecorator } = props.form;
    const { RangePicker } = DatePicker;

    const [tab, setTab] = useState('0')


    const tabTitle = [
        { title: '1.创建活动', value: '0' },
        { title: '2.奖项设置', value: '1' },
        { title: '3.页面装修', value: '2' },
        { title: '4.完成', value: '3' },
    ]


    const img = 'http://123.57.65.31:8081/axure/%E8%90%A5%E9%94%80%E4%BA%91/%e8%90%a5%e9%94%80%e4%ba%91V3.5.30%e6%a9%99%e8%95%89%e6%8e%a8%e5%b9%bf/images/%E6%96%B0%E5%A2%9E%E5%B9%B8%E8%BF%90%E5%A4%A7%E6%8A%BD%E5%A5%96_v3_5_30_/u4584.png'
    return (
        <>
            <div className={Styles.tabBox}>
                {
                    tabTitle.map((item, index) => (
                        <span key={index} className={tab == index ? Styles.active : Styles.tabItem}>{item.title}</span>
                    ))
                }
            </div>
            <div className={Styles.content}>
                {tab != '3' && <>
                    <div className={Styles.img}>
                        <img src={img}></img>
                    </div>
                </>}

                {tab == '0' && <><Step1 onNext={() => setTab('1')} /></>}
                {tab == '1' && <>
                    <Step2 onPre={() => setTab('0')} onNext={() => setTab('2')} />
                </>}
                {tab == '2' && <>
                    <Step3 onPre={() => setTab('1')} onNext={() => setTab('3')} />
                </>}
                {tab == '3' && <>
                    <Step4 onRefresh={() => setTab('0')} />
                </>}

            </div>
        </>
    )
}

const WrappedAddActivityForm = Form.create({ name: 'AddActivity' })(AddActivity);

export default WrappedAddActivityForm
