import React, { useState, useEffect } from 'react';
import { Form, Icon, Input, Button, Pagination, Tabs, Radio, Table } from 'antd';

function Datalist(props) {

    const [tab, setTab] = useState('base')

    const list = [
        {
            name: '曹建芳',
            phone: '1751260225',
            award: '华为P30pro',
            date: '2020-06-05 17:31:00',
            times: '2',
            shareName: '',
            sharePhone: '',
            shareDate: '',
            index: '1',
        },
        {
            name: '小太阳',
            phone: '15150594584',
            award: '500元苏果卡',
            date: '2020-06-04 09:27:42',
            times: '3',
            shareName: '小铲子',
            sharePhone: '18752471793',
            shareDate: '2020-06-04 09:26:58',
            index: '2',
        },
        {
            name: '小五子',
            phone: '17625959403',
            award: '500元苏果卡',
            date: '2020-06-03 18:21:56',
            times: '5',
            shareName: '',
            sharePhone: '',
            shareDate: '',
            index: '3',
        },
    ]


    const columns = [
        {
            title: '姓名',
            dataIndex: 'name',
            key: 'name',
            align: 'center',
        },
        {
            title: '电话',
            dataIndex: 'phone',
            key: 'phone',
            align: 'center',
        },
        {
            title: '抽中奖品',
            dataIndex: 'award',
            key: 'award',
            align: 'center',
        },
        {
            title: '中奖时间',
            dataIndex: 'date',
            key: 'date',
            align: 'center',
        },
    ];

    const columns2 = [
        {
            title: '姓名',
            dataIndex: 'name',
            key: 'name',
            align: 'center',
        },
        {
            title: '电话',
            dataIndex: 'phone',
            key: 'phone',
            align: 'center',
        },
        {
            title: '最后抽奖时间',
            dataIndex: 'date',
            key: 'date',
            align: 'center',
        },
        {
            title: '抽奖次数',
            dataIndex: 'times',
            key: 'times',
            align: 'center',
        },
    ];

    const columns3 = [
        {
            title: '分享人',
            dataIndex: 'name',
            key: 'name',
            align: 'center',
        },
        {
            title: '分享人电话',
            dataIndex: 'phone',
            key: 'phone',
            align: 'center',
        },
        {
            title: '分享时间',
            dataIndex: 'date',
            key: 'date',
            align: 'center',
        },
    ];
    const columns4 = [
        {
            title: '访问者',
            dataIndex: 'name',
            key: 'name',
            align: 'center',
        },
        {
            title: '访问者电话',
            dataIndex: 'phone',
            key: 'phone',
            align: 'center',
        },
        {
            title: '访问时间',
            dataIndex: 'date',
            key: 'date',
            align: 'center',
        },
        {
            title: '分享者',
            dataIndex: 'shareName',
            key: 'shareName',
            align: 'center',
        },
        {
            title: '分享者电话',
            dataIndex: 'sharePhone',
            key: 'sharePhone',
            align: 'center',
        },
        {
            title: '分享时间',
            dataIndex: 'shareDate',
            key: 'shareDate',
            align: 'center',
        },

    ];
    return (
        <>
            <Radio.Group value={tab} buttonStyle="solid" onChange={e => setTab(e.target.value)}>
                <Radio.Button value="base">中奖人数</Radio.Button>
                <Radio.Button value="apartment">抽奖人数</Radio.Button>
                <Radio.Button value="image">分享记录</Radio.Button>
                <Radio.Button value="panorama">访问记录</Radio.Button>

            </Radio.Group>
            <div style={{ marginTop: '20px' }}>
                {tab === 'base' && <>
                    <Table dataSource={list} columns={columns} pagination={false} rowKey={(x => x.index)} />
                </>}
                {tab === 'apartment' && <>
                    <Table dataSource={list} columns={columns2} pagination={false} rowKey={(x => x.index)} />
                </>}
                {tab === 'image' && <>
                    <Table dataSource={list} columns={columns3} pagination={false} rowKey={(x => x.index)} />
                </>}
                {tab === 'panorama' && <>
                    <Table dataSource={list} columns={columns4} pagination={false} rowKey={(x => x.index)} />
                </>}
                <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '30px' }}>
                    <Pagination showQuickJumper defaultCurrent={1} total={10} onChange={e => changePageNum(e, props)} current={1} />
                </div>
            </div>
        </>
    )
}

const WrappedDatalistForm = Form.create({ name: 'Datalist' })(Datalist);

export default WrappedDatalistForm
