import React, { useState, useEffect } from 'react';
import { Form, Button, Select, Icon, message, Table, Pagination, Input, Modal } from 'antd';
import router from 'umi/router';

const { Option } = Select;

const Lottery = (props) => {

    const [visible, setVisible] = useState(false)

    const list = [
        {
            title: '618幸运大抽奖',
            date: '2020-06-18 00:00:00~2020-06-20 00:00:00',
            status: '未开始',
            times: '1300',
            personNum: '687',
            personNum2: '350',
            index: '1',
        },
        {
            title: '儿童节感恩回馈抽奖活动',
            date: '2020-06-1 00:00:00~2020-06-5 00:00:00',
            status: '已结束',
            times: '800',
            personNum: '2487',
            personNum2: '500',
            index: '2',
        },
        {
            title: '情人节抽奖活动',
            date: '2020-02-14 00:00:00~2020-02-14 00:01:00',
            status: '已结束',
            times: '1500',
            personNum: '1242',
            personNum2: '288',
            index: '3',
        },

    ]
    const toData = () => {
        router.push({
            pathname: '/marketingTools/Lottery/data',
        });
    }
    const toEdit = () => {
        router.push({
            pathname: '/marketingTools/Lottery/add',
        });
    }

    const columns = [


        {
            title: '活动名称',
            dataIndex: 'title',
            key: 'title',
            align: 'center',
            render: (title) => <span style={{ color: '#1D74D9' }}>{title}</span>
        },
        {
            title: '活动时间',
            dataIndex: 'date',
            key: 'date',
            align: 'center',
        },
        {
            title: '活动状态',
            dataIndex: 'status',
            key: 'status',
            align: 'center',
        },
        {
            title: '抽奖次数',
            dataIndex: 'times',
            key: 'times',
            align: 'center',
        },
        {
            title: '抽奖人数',
            dataIndex: 'personNum',
            key: 'personNum',
            align: 'center',
        },
        {
            title: '中奖人数',
            dataIndex: 'personNum2',
            key: 'personNum2',
            align: 'center',
        },
        {
            title: '操作',
            dataIndex: 'handle',
            key: 'handle',
            align: 'center',
            render: () => <>
                <span style={{ color: '#FF4A4A', marginRight: '6px', cursor: 'pointer' }} onClick={() => toData()}>数据</span>
                <span style={{ color: '#FF4A4A', marginRight: '6px', cursor: 'pointer' }} onClick={() => setVisible(true)}>推广</span>
                <span style={{ color: '#FF4A4A', marginRight: '6px' }} onClick={() => toEdit()}>编辑</span>
                <span style={{ color: '#FF4A4A' }}>删除</span>
            </>
        },
    ];


    const changePageNum = (pageNumber, props) => {

    }

    // 提交事件
    const handleSubmit = (e, props) => {

    }

    //重置搜索
    function handleReset() {

    }



    const { getFieldDecorator } = props.form
    return (

        <>
            <Modal
                visible={visible}
                title="推广二维码与推广链接"
                // onOk={this.handleOk}
                onCancel={() => setVisible(false)}
                footer={null}
            >
                <div style={{ textAlign: 'center' }}>
                    <img style={{ width: '200px', height: '200px' }} src='https://ss1.bdstatic.com/70cFuXSh_Q1YnxGkpoWK1HF6hhy/it/u=3602624501,870193918&fm=26&gp=0.jpg' ></img>
                    <p>https://dev.fangdeal.cn/admin/#/activity/drainage/DrainageList <span style={{ color: '#1D74D9' }}>复制链接</span></p>
                </div>
            </Modal>
            <Form layout="inline" onSubmit={e => handleSubmit(e, props)}>
                <Form.Item>
                    {getFieldDecorator('targetName')(
                        <Input
                            prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                            placeholder="活动名称"
                        />,
                    )}
                </Form.Item>

                <Form.Item>
                    {getFieldDecorator('status')(
                        <Select style={{ width: '180px' }} placeholder="状态">
                            <Option value="0">全部</Option>
                            <Option value="1">未开始</Option>
                            <Option value="2">进行中</Option>
                            <Option value="3">已结束</Option>
                        </Select>,
                    )}
                </Form.Item>
                <Form.Item>
                    <Button type="primary" htmlType="submit">
                        搜索
                     </Button>
                    <Button style={{ marginLeft: 8 }} onClick={handleReset}>
                        重置
            </Button>
                </Form.Item>
            </Form>

            <Button type="danger" style={{ margin: '10px 0 12px 0' }} onClick={() => toEdit()}>新增</Button>

            <Table dataSource={list} columns={columns} pagination={false} rowKey={(x => x.index)} />
            <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '30px' }}>
                <Pagination showQuickJumper defaultCurrent={1} total={1} onChange={e => changePageNum(e, props)} current={1} />
            </div>
        </>
    )
}
const WrappedHeader = Form.create({ name: 'Lottery' })(Lottery);

export default WrappedHeader
